=== modified file 'maas-integration.py'
--- maas-integration.py	2012-12-06 01:14:46 +0000
+++ maas-integration.py	2012-12-06 02:22:18 +0000
@@ -138,7 +138,7 @@
     NODE_SERIES = 'precise'
 
     def _run_command(self, args):
-        process = Popen(args, stdout=PIPE, stderr=PIPE)
+        process = Popen(args, stdout=PIPE, stderr=PIPE, stdin=PIPE)
         stdout, stderr = process.communicate()
         return stdout, stderr
 
@@ -259,12 +259,16 @@
             '* Starting domain name service... bind9'))
 
     def power_on(self, ip, user, password):
-        self._run_command(
+        output, err = self._run_command(
             ["ipmipower", "-h", ip, "-u", user, "-p", password, "--on"])
+        self.addDetail('IPMI power on %s' % ip, text_content(str(output)))
+        self.assertThat(output, Contains("%s: ok" % ip))
 
     def power_off(self, ip, user, password):
-        self._run_command(
+        output, err = self._run_command(
             ["ipmipower", "-h", ip, "-u", user, "-p", password, "--off"])
+        self.addDetail('IPMI power off %s' % ip, text_content(str(output)))
+        self.assertThat(output, Contains("%s: ok" % ip))
 
     def _boot_nodes(self):
         # Run ipmipower to boot up nodes.

=== modified file 'maas-package-test'
--- maas-package-test	2012-12-06 01:14:46 +0000
+++ maas-package-test	2012-12-06 02:22:18 +0000
@@ -1,4 +1,4 @@
 #!/bin/sh
 set -e -u
 exec 2>&1
-nosetests --verbose debian/tests/maas-integration.py
+nosetests --verbose --stop debian/tests/maas-integration.py

